mergeStates {snapCGH} | R Documentation

## Funtion to merge states based on their state means

### Description

`mergeStates` takes the output of a segementation algorithm in the form of a `SegList` and iteratively merges the states with means closer than a supplied threshold.

### Usage

    mergeStates(segList, MergeType = 1, pv.thres=0.0001, ansari.sign=0.01, minDiff = 0.25)

### Arguments

`segList` | Object of class `SegList`.
`MergeType` | Select either 1 or 2. 1 uses a new merging algorithm developed by Hanni Willenbrock and Jane Fridlyand.
`pv.thres` | Significance threshold for Wilcoxon test for level merging. Used when MergeType = 1.
`ansari.sign` | Significance threshold for Ansari-Bradley test. Used when MergeType = 1.
`minDiff` | The states whose predicted values are less than minDiff apart are merged into one state and all the predicited values are recomputed. Used when MergeType = 2.

### Details

This function is intended to reduce effect of the possible small magnitude technological artifacts on the structure determination.

### Value

A `SegList` object is returned with the merged states stored in the `pred` list.

### Author(s)

Jane Fridlyand

### References

Application of Hidden Markov Models to the analysis of the array CGH data, Fridlyand et.al., JMVA, 2004

### See Also

`SegList`, `runHomHMM`, `runGLAD`, `runDNAcopy`

[Package snapCGH version 1.2.0 Index]